class GProject {
  final bool enable;

  /// ```dart
  /// enable是否启用初始化基础工程
  ///
  /// yaml dev 配置:
  /// dev_dependencies:
  /// source_gen: ^1.0.0
  /// build_runner: ^1.12.2
  /// xanno: ^0.0.4+2
  ///
  /// 项目根目录执行命令:
  /// flutter packages pub run build_runner build && flutter pub get
  ///
  /// 授权 chmod +x build.sh
  /// 以后只需执行 ./build.sh
  /// ```
  const GProject({this.enable = true});
}
